






Privacy Policy

Cookies

	Blu-ray.com uses cookies to store various site settings to enhance site usability and experience. Some 3rd party advertisers also use cookies to try to display relevant ads and to not display the same ads several times.
	If you wish to block cookies you can do so in your web browser settings.
	
IP address

	Blu-ray.com automatically logs all accesses on the site (including access from the apps) with IP, date and referer. The purpose is to gather- and analyze general statistics to improve the site and find possible server problems. Those IP addresses
	are not shared with any third parties.
	
Registered members

To benefit from all advanced site features (including features in the apps), visitors can optionally register on the site with a username and password. The password is encrypted and stored in the database.
Members are also required to provide a valid e-mail address (also stored in the database) to prove that they are a human being and not an automated spam bot. The e-mails are not shared with any third parties.
All data about/related to a member account that is stored on the server is property of Blu-ray.com. This data is not shared with any third parties.

Third party websites
		
	Links from Blu-ray.com to external web sites is for your convenience and does not mean Blu-ray.com endorse those web sites. Blu-ray.com has no control over external web sites and takes no responsibility for external links.
	
Third party advertising
		
	This site allows third-party companies to serve ads and/or collect certain anonymous information when you and other Internet users visit. These companies may use non-personally identifiable information (e.g., click stream
	information, browser type, time and date, subject of advertisements clicked or scrolled over) during your visits to this site and other Web sites in order to provide advertisements about goods and services likely to be of
	greater interest to you. These companies typically use a cookie or third-party web beacon to collect this information. To learn more about this behavioral advertising practice or to opt-out of this type of advertising, 
	you can visit http://www.networkadvertising.org/managing/opt_out.asp.
	
Contact

	If you have any questions regarding Blu-ray.com's Privacy Policy, please contact us in our Feedback forum or use our Contact form.













 









Latest Deals 


				The latest deals on Blu-ray Movie moviesat Amazon.
				
Show new deals »














1. 
Spectre
$17.99, Save 55%
2. 
Game of Thrones: The Complete Fifth...
$39.99, Save 50%
3. 
The Martian
$21.96, Save 45%
4. 
Hotel Transylvania 2
$14.99, Save 62%
5. 
John Wick
$8.99, Save 55%
6. 
Minions
$14.96, Save 57%
7. 
Downton Abbey: Season 6
$27.99, Save 53%
8. 
The Last Witch Hunter
$19.99, Save 50%
9. 
The Flash: The Complete First Season
$16.96, Save 72%
10. 
Jurassic World
$16.96, Save 52%

  » See more deals 

